<table>
  <tr>
    <th>Lp</th>
    <th>Id wycieczki</th>
    <th>Nazwa wycieczki</th>
    <th>Z</th>
    <th>Do</th>
    <th>Czas wylotu</th>
    <th>Czas powrotu</th>
    <th>Liczba dni pobytu</th>
    <th>Tryb wycieczki</th>
    <th>Cena za osobę dorosłą</th>
    <th>Cena za dziecko</th>
    <th>Promocja [%]</th>
    <th>Liczba wolnych miejsc [dorośli]</th>
    <th>Liczba wolnych miejsc [dzieci]</th>
    <th>Image</th>
  </tr>
  <tr *ngFor="let bestOffer of bestOffers; let i = index">
    <td>{{i + 1}}</td>
    <td>{{bestOffer.id}}</td>
    <td>{{bestOffer.name}}</td>
    <td>{{bestOffer.from.name}}</td>
    <td>{{bestOffer.to.name}}</td>
    <td>{{bestOffer.departureDateTime}}</td>
    <td>{{bestOffer.returnDateTime}}</td>
    <td>{{bestOffer.stayDays}}</td>
    <td>{{bestOffer.mode}}</td>
    <td>{{bestOffer.adultPrice}}</td>
    <td>{{bestOffer.childPrice}}</td>
    <td>{{bestOffer.discount}}</td>
    <td>{{bestOffer.totalFreeReservationNumberForAdults}}</td>
    <td>{{bestOffer.totalFreeReservationNumberForChildren}}</td>
    <td>
      <div *ngIf=bestOffer.image>
        <img [src]="'data:image/png;base64,' + bestOffer.image.imageBytes" [alt]="bestOffer.image.name">
      </div>
    </td>
  </tr>
</table>
